/***************************************************************************
**
**    $Header$
**
**    $Log$
** 
****************************************************************************/

/****************************************************************************
**
**  Name:      AdFmtDec.h
**
**  Description:  This file describe the decimal string class. Deprivde
**                from the class CFormatString.
**                This class process the Dec string, convert it to data(number)
**
**  Status: Initialization
**          1996/02/15        Daniel Lin
**
**  Copyright (C) 1996 Microtek International.  All rights reserved.
*****************************************************************************/

#ifndef __ADFMTDEC__H
#define __ADFMTDEC__H

class CFormatDecStr : public CFormatString
{
private:
    CString  m_strOriginDecStr;   // Original string from constructor
    DWORD    m_dwData;            // Converted data(DWORD)

public:
    //Constructor
    CFormatDecStr(CString& str);
    CFormatDecStr(char* lpsz);

    //Implementation
    void Convert();   // Process the convert

    CString  GetDecString()    // return the Dec string
    {
    	return m_strOriginDecStr;
    };

    DWORD    GetAddress()         // Return the data of the dec string
    {
        return m_dwData;
    };
};

#endif

//////////////////////////////////(EOF)////////////////////////////////////////
